/** @param {import(".").NS } ns */

export async function main(ns) {
    // ns.disableLog('ALL');
    const maxLoops = ns.args.length > 1 ? ns.args[1] : 1;
    for (let loops = 0; loops < maxLoops; loops++) {
        ns.print(`${ns.args[0]} ${maxLoops} ${loops}`)
        await ns.grow(ns.args.length > 0 ? ns.args[0] : '');
    }
}